from axelrod.action import Action
from axelrod.player import Player
lllIlIlIllllIlllIl, lllllIllIIIIlIIIllII = Action.C, Action.D
class IlIllIIIlIIIl(Player):
    IIIlllllIIIIllII = "strategy"
    IIlIlllIIlIl = {
        "memory_depth": float("inf"),  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def lIllllIIlI(IIIlIIIIlIllI, llllIlIl: Player) -> Action:
        if len(llllIlIl.history) < 10:
            return lllIlIlIllllIlllIl
        elif llllIlIl.defections / len(llllIlIl.history) > 0.2:
            return lllllIllIIIIlIIIllII
        else:
            return lllIlIlIllllIlllIl